package com.bocloud.cmp.model.hmc;

public class HmdPartitionViosModifyModel extends HmdGenericModel {

    private final HmdPartitionModel vios;

    public HmdPartitionViosModifyModel(HmdPartitionModel vios) {
        this.vios = vios;
    }

    public HmdPartitionModel getVios() {
        return vios;
    }

    @Override
    public String getUuid() {
        return this.vios.getUuid();
    }

    @Override
    public void setUuid(String uuid) {
        this.vios.setUuid(uuid);
    }

    @Override
    public String getUrl() {
        return this.vios.getUrl();
    }

    @Override
    public void setUrl(String url) {
        this.vios.setUrl(url);
    }
}
